# `Skimming-Perusal' Tracking: A Framework for Real-Time and Robust Long-term Tracking

![splt](https://github.com/iiau-tracker/SPLT/blob/master/results/SPLT.png)


This is the **python 3.6** version code for the ICCV 2019 paper SPLT[[arxiv]](https://arxiv.org/abs/1909.01840). This code has been tested on 
- RTX 2080Ti
- CUDA 10.0 + cuDNN 7.6 / CUDA 9.0 + cuDNN 7.1.2
- Python 3.6
- Ubuntu 18.04.2 LTS


Please cite our paper if you find it useful for your research.
```
@inproceedings{ iccv19_SPLT,
    title={`Skimming-Perusal' Tracking: A Framework for Real-Time and Robust Long-term Tracking},
    author={Yan, Bin and Zhao, Haojie and Wang, Dong and Lu, Huchuan and Yang, Xiaoyun},
    booktitle={IEEE International Conference on Computer Vision (ICCV)},
    year={2019}
}
```

## Installation
### SPLT related
- Create anaconda environment:
```bash
conda create -n SPLT36 python=3.6
conda activate SPLT36
```

- Clone the repo and install requirements:
```bash
git clone https://github.com/iiau-tracker/SPLT.git
cd <path/to/SPLT>
pip install -r requirements.txt
```

- CUDA and cuDNN:
```bash
conda install cudatoolkit=10.0
conda install cudnn=7.6.0

# or CUDA 9.0 + cuDNN 7.1.2 for TensorFlow  < 1.13.0
conda install cudatoolkit=9.0
conda install cudnn=7.1.2
```

- Download models


| Model | Size | Google Drive  | Baidu |
|:-----:|:----:|:-------------:|:---------:|
| SiamRPN | 215 MB | [model.ckpt-470277](https://drive.google.com/open?id=1t-rJSHWGgm_9VfqzZaLfhN5XZ8dotXSb)  | [Mirror](https://pan.baidu.com/s/1Ft-OorgWQIh7rvWvdGodUA) |
| Verifier | 178 MB | [V_resnet50_VID_N-65624](https://drive.google.com/open?id=1jsGkEUinQwvotwWJzsMzXNaHOYkJrPeh)  | [Mirror](https://pan.baidu.com/s/1gHAaFAwgX5ROfaucaaGafQ) |
| Skim | 60+ MB | [Skim](https://drive.google.com/open?id=1VB6ZM5xAxgRjFwfxE3N_42wgRdw8L24F) | |
extract `model.ckpt-470277` to `./RPN`  
extract `V_resnet50_VID_N-65624` to `./Verifier`  
extract `Skim` to `./`
### vot toolkit related
- Install vot-toolkit  
```bash
pip install git+https://github.com/votchallenge/vot-toolkit-python
```
- Install pillow==6.0.0 to avoid error
```bash
pip install pillow==6.0.0
```
## Run VOT2020-LT
- Change paths  
Change paths in 'SPLT_class.py', 'VOT2020/tracker.ini' and 'VOT2020/exp.sh'
- evaluate and analyze SPLT
```bash
cd VOT2020
sh exp.sh
```